SDL_GetAndroidJNIEnv(3)

NAME
SDL_GetAndroidJNIEnv - Get the Android Java Native Interface Environment of the current thread.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

void * SDL_GetAndroidJNIEnv(void);

DESCRIPTION
This is the JNIEnv one needs to access the Java virtual machine from native code, and is needed for many Android APIs to be usable from C.

The prototype of the function in SDL's code actually declare a void* return type, even if the implementation returns a pointer to a JNIEnv. The rationale being that the SDL headers can avoid including jni.h.

RETURN VALUE
Returns a pointer to Java native interface object (JNIEnv) to which the current thread is attached, or NULL on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetAndroidActivity(3)